Subject: [Ice] 5245bis: base of relayed candidate

From: Christer Holmberg <[email-masked]>
Date: Wed, 16 Nov 2016 07:26:58 +0000

Hi,

The definition of "base" says:

"Similarly, the base of a relayed candidate is that candidate itself."

Also, section 4.1.1.2 says:

"The base of a relayed candidate is that candidate itself.

My understanding of above is that base refers to the transport address of the TURN server in case of a relayed candidiate.

However, section 9.1.1 says:

   "Media sent from a relayed candidate is sent from the base through that TURN
   server, using procedures defined in [RFC5766]."

However, this seems to imply that base refers to the local transport address of the agent also in case of relayed candidate.

Regards,

Christer

---

From: Nils Ohlmeier <[email-masked]>
Date: Tue, 15 Nov 2016 23:39:23 -0800

> On Nov 15, 2016, at 23:26, Christer Holmberg <[email-masked]> wrote:
>    “Media sent from a relayed candidate is sent from the base through that TURN
>    server, using procedures defined in [RFC5766].”
>  

That would have not been my interpretation of the above sentence. But without a doubt the above sentence could be more clear on what the base address is going to be in this case.

Best
  Nils

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 16 Nov 2016 07:56:28 +0000

Hi,

>That would have not been my interpretation of the above sentence.

It’s the “from the base through that TURN server” statement that makes me interpret that base is not associated with the TURN server, but the agent :)

*IF* base is the transport address of the TURN server, the text should say something like:

“Media sent from a relayed candidate is sent from the local agent, and forwarded through the base (located in the TURN server), using procedures defined in [RFC5766].”

Regards,

Christer

---

From: Nils Ohlmeier <[email-masked]>
Date: Wed, 16 Nov 2016 00:12:05 -0800

> On Nov 15, 2016, at 23:56, Christer Holmberg <[email-masked]> wrote:

Yes, that makes it a lot more clear in my opinion.

Best
  Nils